Subject: [RTG-DIR] RtgDir review: draft-ietf-ccamp-rsvp-te-eth-oam-ext-11.txt

From: Leeyoung <[email-masked]>
Date: Tue, 15 Apr 2014 19:14:27 +0000

Hello,

I have been selected as the Routing Directorate reviewer for this draft. The Routing Directorate seeks to review all routing or routing-related drafts as they pass through IETF last call and IESG review, and sometimes on special request. The purpose of the review is to provide assistance to the Routing ADs. For more information about the Routing Directorate, please see http://www.ietf.org/iesg/directorate/routing.html

Although these comments are primarily for the use of the Routing ADs, it would be helpful if you could consider them along with any other IETF Last Call comments that you receive, and strive to resolve them through discussion or by updating the draft.

Document: draft-ietf-ccamp-rsvp-te-eth-oam-ext-11.txt
Reviewer: Young Lee
Review Date: 15 April 2014
IETF LC End Date: 24 April 2014
Intended Status: Standards Track

Summary:

I have some minor concerns about this document that I think should be resolved before publication. It also has editorial nits that should be considered prior to publication.

Comments:

In general, I found the draft is clearly written and easy to follow. It does require some PBB-TE background and a working knowledge of IEEE and ITU-T mechanisms for Ethernet OAM.

Major Issues:

No major issues found.

Minor Issues:

Section 3.1, it is not clear if the sub-title, "Operations Overview" conveys the content. It looks like the content of Section 3.1 is a list of requirements.

Section 3.1, the first bullet item discusses a limit of 44 bytes for the length of the names. Perhaps, it would be helpful if you include some reference or a bit more detailed explanation.

Section 3.1, the fifth bullet item has a language of "can", which is not a part of the key words per RFC 2119. Would "MAY" be a better choice of word?

Section 3.4, it is not clear on the purpose of this section. It seems that this is a reference material as it says it does not require additional configuration.

Nits:

Section 3.1, the sixth bullet item,

"MEP must be aware of their own and the reachability parameters of the remote MEP"  -> "MEP must be aware of the reachability parameters of their own and the remote MEP"

What is "their own"?

Section 3.3.1, in the encoding diagram,  ~ (after MD Nmae) needs to be shifted to all the way to the right.

Section 3.3.2, the similar comment as above.

Section 7, Contributor information needs to be furnished with email at the minimum.